#!/usr/bin/Rscript   
getwd()
setwd("~/git/mosaic_2020/")
getwd()
###############################################################
source("boxplot_stat_function.R")
source("plot_data.R")
#============= 
# Output TEST
#=============
my_sample_name = "SAM"
to_remove = c("ifna2a", "il29")
lf_fp_sam2 = lf_fp_sam[!lf_fp_sam$mediator%in%to_remove,]
lf_fp_sam3 = lf_fp_sam[lf_fp_sam$mediator%in%to_remove,]

foo = doMyPlots(lf_fp_sam2)

outfile_bp = paste0("boxplots_TEST_", my_sample_name, ".pdf")
output_boxplot_stats = paste0(outdir_plots, outfile_bp); output_boxplot_stats
pdf(output_boxplot_stats, width=22, height=16)

#med_names = c("eotaxin3", "il12p70", "itac", "il13")
#lf_test = lf_fp_npa[lf_fp_npa$mediator%in%med_names,]

#baz=cowplot::plot_grid(plotlist=foo, align = 'hv', ncol=2, nrow=2)
foo_annot = annotate_figure(foo
                            , top = text_grob(my_sample_name
                                              , color = "blue"
                                              , face = "bold"
                                              , size = 14)
                            , bottom = text_grob("Mosaic data\nFlu positive adults (n=133)"
                                                 , color = "blue"
                                                 , hjust = 1, x = 0.98
                                                 , face = "italic"
                                                 , size = 10)
                            , left = text_grob("Levels (pg/ml)"
                                               , color = "black"
                                               , rot = 90
                                               , size = 18)
)
foo_annot
dev.off()
##################################################################
